# ZGo Payment Gateway plugin for WooCommerce


ZGo's payment processing solution for WooCommerce. This plugin implements a payment gateway that allows WooCommerce sellers to accept Zcash as payment while using their existing shop setup.

Payments are sent directly to the seller's Zcash wallet, using shielded transactions.

## System Requirements

- PHP 7.1
- Wordpress 6
- WooCommerce 7

## Installation

1. Get your ZGo's OwnerID and Token for WooCommerce from your [ZGo shop settings](https://app.zgo.cash/).
2. Download the latest `zgopmtgwy` installation package from the [Releases](https://git.vergara.tech/Vergara_Tech/ZGoPmtGwy/releases) page, the package signature and verify it.
3. In the WooCommerce Settings page, go to the Plugins tab and click on `Add New`. Click the `Upload Plugin` button and upload the verified ZIP file. You will be redirected to the list of available plugins, now listing the ZGo Payment Gateway. Click on the `Activate` link to enable the plugin.
3. In the WooCommerce Settings page, go to the Payment Gateways tab, then click on "ZGo Payment", you will be redirected to ZGo Payment Settings page.
4. Fill the ZGo OwnerId and ZGo Token fields.
5. Click "Save changes" and  return to WooCommerce Payments Tab.
6. Check "Enable" button. The credentials will be verified and the plugin will be activated if they are confirmed.

## Support

- [ZGo User Support Chat](https://matrix.to/#/#zgo-support:vergara.tech)

